class FormTestRecipeInputForm
Form to test recipe input functionality.
Hierarchy
- class \Drupal\Core\Form\FormBase implements \Drupal\Core\Form\FormInterface, \Drupal\Core\DependencyInjection\ContainerInjectionInterface uses \Drupal\Core\DependencyInjection\DependencySerializationTrait, \Drupal\Core\Htmx\HtmxRequestInfoTrait, \Drupal\Core\Logger\LoggerChannelTrait, \Drupal\Core\Messenger\MessengerTrait, \Drupal\Core\Routing\RedirectDestinationTrait, \Drupal\Core\StringTranslation\StringTranslationTrait
- class \Drupal\form_test\Form\FormTestRecipeInputForm uses \Drupal\Core\Recipe\RecipeInputFormTrait extends \Drupal\Core\Form\FormBase
Expanded class hierarchy of FormTestRecipeInputForm
1 string reference to 'FormTestRecipeInputForm'
- form_test.routing.yml in core/
modules/ system/ tests/ modules/ form_test/ form_test.routing.yml - core/modules/system/tests/modules/form_test/form_test.routing.yml
File
-
core/
modules/ system/ tests/ modules/ form_test/ src/ Form/ FormTestRecipeInputForm.php, line 16
Namespace
Drupal\form_test\FormView source
class FormTestRecipeInputForm extends FormBase {
use RecipeInputFormTrait;
/**
* {@inheritdoc}
*/
public function getFormId() : string {
return 'form_test_recipe_input';
}
/**
* Returns the recipe object under test.
*
* @return \Drupal\Core\Recipe\Recipe
* A Recipe object for the input_test recipe.
*/
private function getRecipe() : Recipe {
return Recipe::createFromDirectory('core/tests/fixtures/recipes/input_test');
}
/**
* {@inheritdoc}
*/
public function buildForm(array $form, FormStateInterface $form_state) : array {
$form += $this->buildRecipeInputForm($this->getRecipe());
$form['apply'] = [
'#type' => 'submit',
'#value' => $this->t('Apply recipe'),
];
return $form;
}
/**
* {@inheritdoc}
*/
public function validateForm(array &$form, FormStateInterface $form_state) : void {
$this->validateRecipeInput($this->getRecipe(), $form, $form_state);
}
/**
* {@inheritdoc}
*/
public function submitForm(array &$form, FormStateInterface $form_state) : void {
$recipe = $this->getRecipe();
$this->setRecipeInput($recipe, $form_state);
RecipeRunner::processRecipe($recipe);
}
}
Members
| Title Sort descending | Modifiers | Object type | Summary | Overriden Title | Overrides |
|---|---|---|---|---|---|
| DependencySerializationTrait::$_entityStorages | protected | property | An array of entity type IDs keyed by the property name of their storages. | ||
| DependencySerializationTrait::$_serviceIds | protected | property | An array of service IDs keyed by property name used for serialization. | ||
| DependencySerializationTrait::__sleep | public | function | 2 | ||
| DependencySerializationTrait::__wakeup | public | function | 2 | ||
| FormBase::$configFactory | protected | property | The config factory. | 2 | |
| FormBase::$requestStack | protected | property | The request stack. | 1 | |
| FormBase::$routeMatch | protected | property | The route match. | ||
| FormBase::config | protected | function | Retrieves a configuration object. | ||
| FormBase::configFactory | protected | function | Gets the config factory for this form. | 2 | |
| FormBase::container | private | function | Returns the service container. | ||
| FormBase::create | public static | function | Instantiates a new instance of this class. | Overrides ContainerInjectionInterface::create | 105 |
| FormBase::currentUser | protected | function | Gets the current user. | 2 | |
| FormBase::getRequest | protected | function | Gets the request object. | Overrides HtmxRequestInfoTrait::getRequest | |
| FormBase::getRouteMatch | protected | function | Gets the route match. | ||
| FormBase::logger | protected | function | Gets the logger for a specific channel. | ||
| FormBase::redirect | protected | function | Returns a redirect response object for the specified route. | ||
| FormBase::resetConfigFactory | public | function | Resets the configuration factory. | ||
| FormBase::setConfigFactory | public | function | Sets the config factory for this form. | ||
| FormBase::setRequestStack | public | function | Sets the request stack object to use. | ||
| FormTestRecipeInputForm::buildForm | public | function | Form constructor. | Overrides FormInterface::buildForm | |
| FormTestRecipeInputForm::getFormId | public | function | Returns a unique string identifying the form. | Overrides FormInterface::getFormId | |
| FormTestRecipeInputForm::getRecipe | private | function | Returns the recipe object under test. | ||
| FormTestRecipeInputForm::submitForm | public | function | Form submission handler. | Overrides FormInterface::submitForm | |
| FormTestRecipeInputForm::validateForm | public | function | Form validation handler. | Overrides FormBase::validateForm | |
| HtmxRequestInfoTrait::getHtmxCurrentUrl | protected | function | Retrieves the URL of the requesting page from an HTMX request header. | ||
| HtmxRequestInfoTrait::getHtmxPrompt | protected | function | Retrieves the prompt from an HTMX request header. | ||
| HtmxRequestInfoTrait::getHtmxTarget | protected | function | Retrieves the target identifier from an HTMX request header. | ||
| HtmxRequestInfoTrait::getHtmxTrigger | protected | function | Retrieves the trigger identifier from an HTMX request header. | ||
| HtmxRequestInfoTrait::getHtmxTriggerName | protected | function | Retrieves the trigger name from an HTMX request header. | ||
| HtmxRequestInfoTrait::isHtmxBoosted | protected | function | Determines if the request is boosted by HTMX. | ||
| HtmxRequestInfoTrait::isHtmxHistoryRestoration | protected | function | Determines if if the request is for history restoration. | ||
| HtmxRequestInfoTrait::isHtmxRequest | protected | function | Determines if the request is sent by HTMX. | ||
| LoggerChannelTrait::$loggerFactory | protected | property | The logger channel factory service. | ||
| LoggerChannelTrait::getLogger | protected | function | Gets the logger for a specific channel. | ||
| LoggerChannelTrait::setLoggerFactory | public | function | Injects the logger channel factory. | ||
| MessengerTrait::$messenger | protected | property | The messenger. | 25 | |
| MessengerTrait::messenger | public | function | Gets the messenger. | 25 | |
| MessengerTrait::setMessenger | public | function | Sets the messenger. | ||
| RecipeInputFormTrait::buildRecipeInputForm | protected | function | Generates a tree of form elements for a recipe's inputs. | ||
| RecipeInputFormTrait::setRecipeInput | protected | function | Supplies user-inputted values to a recipe and its dependencies. | ||
| RecipeInputFormTrait::validateRecipeInput | protected | function | Validates user-inputted values to a recipe and its dependencies. | ||
| RedirectDestinationTrait::$redirectDestination | protected | property | The redirect destination service. | 2 | |
| RedirectDestinationTrait::getDestinationArray | protected | function | Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url. | ||
| RedirectDestinationTrait::getRedirectDestination | protected | function | Returns the redirect destination service. | ||
| RedirectDestinationTrait::setRedirectDestination | public | function | Sets the redirect destination service. | ||
| StringTranslationTrait::$stringTranslation | protected | property | The string translation service. | 3 | |
| StringTranslationTrait::formatPlural | protected | function | Formats a string containing a count of items. | ||
| StringTranslationTrait::getNumberOfPlurals | protected | function | Returns the number of plurals supported by a given language. | ||
| StringTranslationTrait::getStringTranslation | protected | function | Gets the string translation service. | ||
| StringTranslationTrait::setStringTranslation | public | function | Sets the string translation service to use. | 2 | |
| StringTranslationTrait::t | protected | function | Translates a string to the current language or to a given language. | 1 |
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.